List Agents
curl --request GET \
--url https://api.vocode.dev/v1/agents/list \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.vocode.dev/v1/agents/list"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.vocode.dev/v1/agents/list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"prompt": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"actions": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"voice": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"language": "en",
"initial_message": "<string>",
"webhook": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"vector_database": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"interrupt_sensitivity": "low",
"context_endpoint": "<string>",
"noise_suppression": false,
"endpointing_sensitivity": "auto",
"ivr_navigation_mode": "off",
"conversation_speed": 1,
"initial_message_delay": 0,
"openai_model_name_override": "<string>",
"ask_if_human_present_on_idle": false,
"openai_account_connection": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"credentials": {
"openai_api_key": "<string>"
},
"type": "account_connection_openai"
},
"run_do_not_call_detection": false,
"llm_fallback": {
"model_name": "<string>"
},
"deepgram_keywords": {},
"idle_time_seconds": 123,
"llm_temperature": 0
}
],
"page": 123,
"size": 123,
"has_more": true,
"total": 123,
"total_is_estimated": true
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Agents
List Agents
GET
/
v1
/
agents
/
list
List Agents
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
⌘I
